### Method

# GdkPixbuf.Pixbuf.save_to_bufferv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_bufferv (
      GdkPixbuf* pixbuf,
      gchar** buffer,
      gsize* buffer_size,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save_to_buffer()`.

Saves pixbuf to a new buffer in format `type`, which is currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_buffer()` for more details.

#### Parameters

`buffer` | An array of `guint8`
| location to receive a pointer to the new buffer.
| Direction: out
| The length of the array is in the `buffer_size` argument
| Ownership of the data is transferred to the callee
`buffer_size` | `gsize*`
| location to receive the size of the new buffer.
| Direction: out
| Ownership of the data is transferred to the callee
`type` | `const char*`
| name of file format.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`option_keys` | An array of `utf8`
| name of options to set
| Can be `NULL`
| Ownership is not transferred to the callee
`option_values` | An array of `utf8`
| values for named options
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
whether an error was set